eoMGGReplacement(3)

NAME
eoMGGReplacement - eoMGGReplacement is an eoReplacement: - choose N (2) parents RANDOMLY - remove them from the parent population - select best offspring, add to parents - merge (other?) offspring and the N removed parents - select best N-1 of this merged population (detTournament only at the moment) - put them back into parent population

SYNOPSIS

#include <eoMGGReplacement.h>

Inherits eoReplacement< EOT >< EOT >.

  Public Member Functions
eoMGGReplacement (eoHowMany _howManyEliminatedParents=eoHowMany(2, false), unsigned _tSize=2)
void operator() (eoPop< EOT > &_parents, eoPop< EOT > &_offspring)
The pure virtual function that needs to be implemented by the subclass.

  Private Attributes
eoLinearTruncateSplit< EOT > split
eoPlus< EOT > plus
unsigned int tSize

Detailed Description

  template<class EOT> class eoMGGReplacement< EOT >
eoMGGReplacement is an eoReplacement: - choose N (2) parents RANDOMLY - remove them from the parent population - select best offspring, add to parents - merge (other?) offspring and the N removed parents - select best N-1 of this merged population (detTournament only at the moment) - put them back into parent population

Definition at line 50 of file eoMGGReplacement.h.

Author

Generated automatically by Doxygen for EO from the source code.